curl --request GET \
--url https://sandbox.cashfree.com/pg/incident/{id} \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/incident/{id}"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/incident/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident_id": "incident_20240415091057099071",
"incident_impact": "MEDIUM",
"incident_message": "Some UPI transactions are failing due to intermittent issues with NPCI.",
"incident_start_time": "2025-04-15T08:00:00Z",
"incident_end_time": "2025-04-16T08:00:00Z",
"incident_status": "ACTIVE",
"incident_type": "SCHEDULED",
"payment_method": {
"upi": {
"upi_issuer": [
"ALL_BANKS"
],
"upi_psp": [
"ALL_PSP"
],
"upi_vpa": [
"ybl"
],
"is_npci_downtime": false
}
}
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Fetch Downtime by ID
Fetches details of a specific downtime using its unique ID.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The unique identifier of the downtime.
Response
Success response for Fetch Downtime by ID.
Success response for Fetch Downtime by ID.
Unique identifier for the incident.
"incident_20240415091057099071"
Impact level of the incident.
HIGH, MEDIUM, LOW "MEDIUM"
Description of the issue.
"Some UPI transactions are failing due to intermittent issues with NPCI."
Start time of the incident.
"2025-04-15T08:00:00Z"
End time of the incident, if applicable; null if still ongoing.
"2025-04-16T08:00:00Z"
Current status of the incident.
ACTIVE, UPCOMING, RESOLVED "ACTIVE"
Type of the incident.
"SCHEDULED"
The UPI incident object will show details about the incident affecting UPI payments.
- UPI Incident
- Card Incident
- NetBanking Incident
- Wallet incident
Show child attributes
Show child attributes
{
"upi": {
"upi_issuer": ["ALL_BANKS"],
"upi_psp": ["ALL_PSP"],
"upi_vpa": ["ybl"],
"is_npci_downtime": false
}
}
Was this page helpful?